<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>XAMPP Projektübersicht</title>
    <link rel="stylesheet" href="styles.css">
</head>
<body>
    <?php require_once 'config.php'; ?>
    
    <div class="container">
        <h1>XAMPP Projektübersicht</h1>
        
        <div class="info-bar">
            <?php echo count($projects); ?> Projekte gefunden | 
            Server: <?php echo $_SERVER['SERVER_SOFTWARE']; ?> | 
            PHP Version: <?php echo PHP_VERSION; ?>
        </div>

        <div class="projects-grid">
            <?php foreach($projects as $project): ?>
                <div class="project-card">
                    <h2 class="project-title"><?php echo htmlspecialchars($project['title']); ?></h2>
                    <div class="project-description">
                        <?php echo htmlspecialchars($project['description']); ?>
                    </div>
                    <?php if($project['hasIndex']): ?>
                        <div class="project-links">
                            <a href="http://<?php echo $project['dir']; ?>.local" 
                               class="project-link http-link" 
                               target="_blank">HTTP</a>
                            <a href="https://<?php echo $project['dir']; ?>.local" 
                               class="project-link https-link" 
                               target="_blank">HTTPS</a>
                        </div>
                    <?php else: ?>
                        <div class="error-message">Keine index.php/html gefunden</div>
                    <?php endif; ?>
                    <div class="last-modified">
                        📅 Zuletzt geändert: <?php echo $project['lastModified']; ?>
                    </div>
                </div>
            <?php endforeach; ?>
        </div>
    </div>
</body>
</html>